import Vue from "vue";
import App from "./App.vue";
import store from "./store";
import router from "./router";
import XdhMap from "xdh-map";
import "xdh-map/lib/xdhmap.css";
import "./assets/styleCSS/icon/iconfont.css";
import MVUI from "./packages/index";
Vue.use(MVUI);
Vue.use(XdhMap);
Vue.config.productionTip = false;

new Vue({
  store,
  router,
  render: h => h(App)
}).$mount("#app");
