import Vue from "vue";
import Router from "vue-router";
import home from "./views/home.vue";

Vue.use(Router);

export default new Router({
  mode: "history",
  base: process.env.BASE_URL,
  routes: [
    {
      path: "/",
      name: "/home",
      component: home,
      children: [
        {
          path: "/test",
          name: "test",
          // route level code-splitting
          // this generates a separate chunk (about.[hash].js) for this route
          // which is lazy-loaded when the route is visited.
          component: () =>
            import(/* webpackChunkName: "test" */ "./views/test.vue")
        },
        {
          path: "/test2",
          name: "test2",
          // route level code-splitting
          // this generates a separate chunk (about.[hash].js) for this route
          // which is lazy-loaded when the route is visited.
          component: () =>
            import(/* webpackChunkName: "test" */ "./views/testTwo.vue")
        },
        {
          path: "/test3",
          name: "test3",
          // route level code-splitting
          // this generates a separate chunk (about.[hash].js) for this route
          // which is lazy-loaded when the route is visited.
          component: () =>
            import(/* webpackChunkName: "test" */ "./views/testThree.vue")
        }
      ]
    }
    // {
    //   path: "/test",
    //   name: "test",
    //   // route level code-splitting
    //   // this generates a separate chunk (about.[hash].js) for this route
    //   // which is lazy-loaded when the route is visited.
    //   component: () =>
    //     import(/* webpackChunkName: "olapi" */ "./views/test.vue")
    // }
  ]
});
